Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

In #12704, we allowed to select a subproject when you create a new issue. My proposal is to change the behaviour and show the

project tree instead of subtasks.

In this way, you will be able to select also a parent instead of only children.

Associated revisions

Revision 20840 - 2021-03-25 02:42 - Go MAEDA

Show project tree instead of subprojects in the project selector when you create a new issue (#34798).

Patch by Marius BALTEANU.

History

#1 - 2021-02-24 20:12 - Marius BĂLTEANU

- Subject changed from Show project tree in the project selector when you create a new issue instead of subprojects to Show project tree instead of

subprojects in the project selector when you create a new issue 

#2 - 2021-03-09 06:26 - Bernhard Rohloff

- Category set to Issues

It sounds good and doesn't hurt the existing functionality at all.

+1 from my side.

#3 - 2021-03-09 08:25 - Marius BĂLTEANU

- Target version set to 4.2.0

Thanks Bernhard. I'm assigning this to 4.2.0 for more feedback!

#4 - 2021-03-23 07:28 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#5 - 2021-03-23 21:54 - Marius BĂLTEANU

- File 0001-Show-project-tree-instead-of-subprojects-in-the-proj.patch added

- Assignee deleted (Marius BĂLTEANU)

Here is a patch.

#6 - 2021-03-24 10:44 - Bernhard Rohloff

I've tested the patch on the latest trunk and it works out very well.

#7 - 2021-03-25 02:43 - Go MAEDA

- File 34798-before.png added

- File 34798-after.png added

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.
Files

0001-Show-project-tree-instead-of-subprojects-in-the-proj.patch 2.08 KB 2021-03-23 Marius BĂLTEANU

34798-before.png 55.5 KB 2021-03-25 Go MAEDA

34798-after.png 125 KB 2021-03-25 Go MAEDA
